From eb27b03744dda54146ef1de1d7461ed8f5475736 Mon Sep 17 00:00:00 2001
From: xero <x@xero.nu>
Date: Sat, 25 Jan 2014 20:41:11 -0500
Subject: add README. remove duplicate fun scripts

---
 README        |  21 ++++++++
 fun/pipes.sh  | 108 ---------------------------------------
 fun/pipesx.sh | 159 ----------------------------------------------------------
 fun/rain.sh   | 100 ------------------------------------
 4 files changed, 21 insertions(+), 367 deletions(-)
 create mode 100644 README
 delete mode 100644 fun/pipes.sh
 delete mode 100644 fun/pipesx.sh
 delete mode 100644 fun/rain.sh

diff --git a/README b/README
new file mode 100644
index 0000000..290593a
--- /dev/null
+++ b/README
@@ -0,0 +1,21 @@
+      ██            ██     ████ ██  ██                
+     ░██           ░██    ░██░ ░░  ░██                
+     ░██  ██████  ██████ ██████ ██ ░██  █████   ██████
+  ██████ ██░░░░██░░░██░ ░░░██░ ░██ ░██ ██░░░██ ██░░░░ 
+ ██░░░██░██   ░██  ░██    ░██  ░██ ░██░███████░░█████ 
+░██  ░██░██   ░██  ░██    ░██  ░██ ░██░██░░░░  ░░░░░██
+░░██████░░██████   ░░██   ░██  ░██ ███░░██████ ██████ 
+ ░░░░░░  ░░░░░░     ░░    ░░   ░░ ░░░  ░░░░░░ ░░░░░░ 
+ 
+  ▓▓▓▓▓▓▓▓▓▓
+ ░▓ about  ▓ custom linux config files
+ ░▓ author ▓ xero <x@xero.nu>
+ ░▓ code   ▓ http://code.xero.nu/dotfiles
+ ░▓ mirror ▓ http://github.com/xero/dotfiles
+ ░▓▓▓▓▓▓▓▓▓▓
+ ░░░░░░░░░░
+
+ .Xdefaults > urxvt ui/color settings
+ .zshrc     > z shell settings, aliases, prompts
+ fun/       > term color, sys info, and other misc scripts
+ .ncmpcpp   > ncurses mpc++ ui/color settings
\ No newline at end of file
diff --git a/fun/pipes.sh b/fun/pipes.sh
deleted file mode 100644
index 5cc366e..0000000
--- a/fun/pipes.sh
+++ /dev/null
@@ -1,108 +0,0 @@
-#!/bin/bash
-# The author of the original script is unknown to me. The first entry I can
-# find was posted at 2010-03-21 09:50:09 on Arch Linux Forums (doesn't mean the
-# poster is the author at all):
-#
-#   https://bbs.archlinux.org/viewtopic.php?pid=728932#p728932
-#
-# I, Yu-Jie Lin, made a few changes and additions:
-#
-#   -p, -t, -R, and -C
-#
-#   Screenshot: http://flic.kr/p/dRnLVj
-#   Screencast: http://youtu.be/5XnGSFg_gTk
-#
-# And push the commits to Gist:
-#
-#   https://gist.github.com/4689307
-#
-# I, Devin Samarin, made a few changes and additions:
-#
-#   -r can be 0 to mean "no limit".
-#   Reset cursor visibility after done.
-#   Cleanup for those people who want to quit with ^C
-#
-#   Pushed the changes to https://gist.github.com/4725048
-
-p=1
-f=75 s=13 r=2000 t=0
-w=$(tput cols) h=$(tput lines)
-# ab -> idx = a*4 + b
-# 0: up, 1: right, 2: down, 3: left
-# 00 means going up   , then going up   -> ┃
-# 12 means going right, then going down -> ┓
-sets=(
-    "┃┏ ┓┛━┓  ┗┃┛┗ ┏━"
-    "│╭ ╮╯─╮  ╰│╯╰ ╭─"
-    "│┌ ┐┘─┐  └│┘└ ┌─"
-    "║╔ ╗╝═╗  ╚║╝╚ ╔═"
-)
-v="${sets[0]}"
-RNDSTART=0
-NOCOLOR=0
-
-OPTIND=1
-while getopts "p:t:f:s:r:RCh" arg; do
-case $arg in
-    p) ((p=(OPTARG>0)?OPTARG:p));;
-    t) ((OPTARG>=0 && OPTARG<${#sets[@]})) && v="${sets[OPTARG]}";;
-    f) ((f=(OPTARG>19 && OPTARG<101)?OPTARG:f));;
-    s) ((s=(OPTARG>4 && OPTARG<16 )?OPTARG:s));;
-    r) ((r=(OPTARG>=0)?OPTARG:r));;
-    R) RNDSTART=1;;
-    C) NOCOLOR=1;;
-    h) echo -e "Usage: $(basename $0) [OPTION]..."
-        echo -e "Animated pipes terminal screensaver.\n"
-        echo -e " -p [1-]\tnumber of pipes (D=1)."
-        echo -e " -t [0-$((${#sets[@]} - 1))]\ttype of pipes (D=0)."
-        echo -e " -f [20-100]\tframerate (D=75)."
-        echo -e " -s [5-15]\tprobability of a straight fitting (D=13)."
-        echo -e " -r LIMIT\treset after x characters, 0 if no limit (D=2000)."
-        echo -e " -R \t\trandom starting point."
-        echo -e " -C \t\tno color."
-        echo -e " -h\t\thelp (this screen).\n"
-        exit 0;;
-    esac
-done
-
-cleanup() {
-    tput rmcup
-    tput cnorm
-    exit 0
-}
-trap cleanup SIGHUP SIGINT SIGTERM
-
-for (( i=1; i<=p; i++ )); do
-    c[i]=$((i%8)) n[i]=0 l[i]=0
-    ((x[i]=RNDSTART==1?RANDOM*w/32768:w/2))
-    ((y[i]=RNDSTART==1?RANDOM*h/32768:h/2))
-done
-
-tput smcup
-tput reset
-tput civis
-while ! read -t0.0$((1000/f)) -n1; do
-    for (( i=1; i<=p; i++ )); do
-        # New position:
-        ((${l[i]}%2)) && ((x[i]+=-${l[i]}+2,1)) || ((y[i]+=${l[i]}-1))
-
-        # Loop on edges (change color on loop):
-        ((${x[i]}>w||${x[i]}<0||${y[i]}>h||${y[i]}<0)) && ((c[i]=RANDOM%8))
-        ((x[i]=(x[i]+w)%w))
-        ((y[i]=(y[i]+h)%h))
-
-        # New random direction:
-        ((n[i]=RANDOM%s-1))
-        ((n[i]=(${n[i]}>1||${n[i]}==0)?${l[i]}:${l[i]}+${n[i]}))
-        ((n[i]=(${n[i]}<0)?3:${n[i]}%4))
-
-        # Print:
-        tput cup ${y[i]} ${x[i]}
-        [[ $NOCOLOR == 0 ]] && echo -ne "\033[1;3${c[i]}m"
-        echo -n "${v:l[i]*4+n[i]:1}"
-        l[i]=${n[i]}
-    done
-    ((r>0 && t*p>=r)) && tput reset && tput civis && t=0 || ((t++))
-done
-
-cleanup
\ No newline at end of file
diff --git a/fun/pipesx.sh b/fun/pipesx.sh
deleted file mode 100644
index 02ed325..0000000
--- a/fun/pipesx.sh
+++ /dev/null
@@ -1,159 +0,0 @@
-#!/bin/bash
-W=$(tput cols) H=$(tput lines)
-# maximal random value + 1
-M=32768
-
-SETS=('╱╲' '/\')
-COLORS=(31 32 33 34 35 36 37)
-
-# default values
-N=1
-T=0
-I=0.05
-P=25
-R=$((W * H / 4))
-
-HELP="Usage: $(basename $0) [OPTIONS]
-Animated pipes.sh terminal screensaver at an angle.
-
-Options:
-
-  -n [1-]     number of pipes. (Default: $N)
-  -t [0-$((${#SETS[@]} - 1))]    type of pipes. (Default: $T)
-  -i [float]  piping interval or maze generation interval. (Default: $I)
-  -P [0-100]  probability of a turning pipe or of \\ in maze generation. (Default: $P)
-  -r [LIMIT]  reset after x characters, 0 if no limit. (Default: $R)
-  -R          random starting point.
-  -C          no color.
-  -X          maze generation.
-  -h          this help message.
-"
-
-while getopts "n:t:i:P:r:RCXh" arg; do
-  case $arg in
-    n)
-      ((N = OPTARG > 0 ? OPTARG : N))
-      ;;
-    t)
-      ((T = (OPTARG >= 0 && OPTARG < ${#SETS[@]}) ? OPTARG : T))
-      ;;
-    i)
-      I=$OPTARG
-      ;;
-    P)
-      ((P = (OPTARG >= 0 && OPTARG <= 100) ? OPTARG : P))
-      ;;
-    r)
-      ((R = OPTARG >= 0 ? OPTARG : R))
-      ;;
-    R)
-      RNDSTART=1
-      ;;
-    C)
-      NOCOLOR=1
-      ;;
-    X)
-      MAZE=1
-      ;;
-    h)
-      echo -e "$HELP"
-      exit 0
-      ;;
-  esac
-done
-
-do_exit() {
-  # Show cursor and echo stdin
-  echo -ne "\e[?25h"
-  stty echo
-  clear
-  exit 0
-  }
-trap do_exit INT TERM
-
-# No echo stdin and hide the cursor
-stty -echo
-echo -ne "\e[?25l"
-
-# maze geneartion
-while [[ $MAZE ]] && clear; do
-  [[ $NOCOLOR ]] || echo -ne "\e[1;${COLORS[${#COLORS[@]} * RANDOM / M]}m"
-  for ((i = 0; i < W * H; i++ )); do
-    echo -ne ${SETS[T]:100 * RANDOM / M < P:1}
-  done
-  read -t $I -n 1 && [[ $REPLY =~ q|Q ]] && do_exit
-done
-
-# initialze values
-for ((n = 0; n < N; n++)); do
-  ((X[n] = RNDSTART ? (W + 2) * RANDOM / M : W / 2))
-  ((Y[n] = RNDSTART ? (H + 2) * RANDOM / M : H / 2))
-  D[n]=$((4 * RANDOM / M))
-  C[n]=${COLORS[${#COLORS[@]} * RANDOM / M]}
-done
-
-clear
-while :; do
-  for ((n = 0; n < N; n++, CC = 0)); do
-    x=${X[n]} y=${Y[n]}
-    d=${D[n]} c=${C[n]}
-
-    # calculate new direction `d`
-    # 1  0
-    #  \/  4 directions 0 to 3
-    #  /\
-    # 2  3
-    # valid directions: d: dd', d' is the new direction
-    # d
-    # 0:  / 00 \  01          03
-    #    /     /           /\
-    # 1:  / 10 \  11    12
-    #     \     \    /\
-    # 2:       \/ 21  / 22  / 23
-    #                /      \
-    # 3: \/ 30       \  32 \  33
-    #                /      \
-    ((d = (100 * RANDOM / M) < P ? ((d + 1) + 2 * (RANDOM % 2)) % 4 : d))
-    ((e = (d + 1) % 4))
-
-    # calculate new position
-    # d'  x'  y'
-    # 0: x+1 y-1
-    # 1: x-1 y-1
-    # 2: x-1 y+1
-    # 3: x+1 y+1
-    ((xn = e < 2 ? x + 1 : x - 1))
-    ((yn = d < 2 ? y - 1 : y + 1))
-    
-    # adjust position and change color?
-    ((d < 2 && y == 0)) && ((yn--, CC=1))
-    ((e > 1 && x == 0)) && ((xn--, CC=1))
-    ((d > 1 && y == H)) && ((yn++, CC=1))
-    ((e < 2 && x == W)) && ((xn++, CC=1))
-    ((CC)) && c=${COLORS[${#COLORS[@]} * RANDOM / M]}
-
-    # warp pipe
-    ((xn = (xn + W + 1) % (W + 1)))
-    ((yn = (yn + H + 1) % (H + 1)))
-
-    # calculate position in terminal
-    # d'  xt   yt
-    # 0: x'   y'+1
-    # 1: x'+1 y'+1
-    # 2: x'+1 y'
-    # 3: x'   y'
-    ((xt = e < 2 ? xn : xn + 1))
-    ((yt = d < 2 ? yn + 1 : yn))
-
-    echo -ne "\e[${yt};${xt}H"
-    [[ $NOCOLOR ]] || echo -ne "\e[1;${c}m"
-    echo -n "${SETS[T]:d%2:1}"
-
-    X[n]=$xn Y[n]=$yn
-    D[n]=$d C[n]=$c
-  done
-  read -t $I -n 1 && [[ $REPLY =~ q|Q ]] && do_exit
-  ((R)) && ((r += N, r >= R)) && r=0 && clear
-done
-
-do_exit
\ No newline at end of file
diff --git a/fun/rain.sh b/fun/rain.sh
deleted file mode 100644
index 8a8d8f6..0000000
--- a/fun/rain.sh
+++ /dev/null
@@ -1,100 +0,0 @@
-#!/bin/bash
-RAINS=("|" "│" "┃" "┆" "┇" "┊" "┋" "╽" "╿")
-COLORS=("\e[37m" "\e[37;1m")
-# More from 256 color mode
-for i in {244..255}; do
-  COLORS=("${COLORS[@]}" "\e[38;5;${i}m")
-done
-NRAINS=${#RAINS[@]}
-NCOLORS=${#COLORS[@]}
-NUM_RAIN_METADATA=5
-
-
-sigwinch() {
-  TERM_WIDTH=$(tput cols)
-  TERM_HEIGHT=$(tput lines)
-  STEP_DURATION=0.025
-  ((MAX_RAINS = TERM_WIDTH * TERM_HEIGHT / 4))
-  ((MAX_RAIN_LENGTH = TERM_HEIGHT < 10 ? 1 : TERM_HEIGHT / 10))
-  # In percentage
-  ((NEW_RAIN_ODD = TERM_HEIGHT > 50 ? 100 : TERM_HEIGHT * 2))
-  ((NEW_RAIN_ODD = NEW_RAIN_ODD * 75 / 100))
-  ((FALLING_ODD = TERM_HEIGHT > 25 ? 100 : TERM_HEIGHT * 4))
-  ((FALLING_ODD = FALLING_ODD * 90 / 100))
-  }
-
-do_exit() {
-  echo -ne "\e[${TERM_HEIGHT};1H\e[0K"
-
-  # Show cursor and echo stdin
-  echo -ne "\e[?25h"
-  stty echo
-  exit 0
-  }
-
-do_render() {
-  # Clean screen first
-  for ((idx = 0; idx < num_rains * NUM_RAIN_METADATA; idx += NUM_RAIN_METADATA)); do
-    X=${rains[idx]}
-    Y=${rains[idx + 1]}
-    LENGTH=${rains[idx + 4]}
-    for ((y = Y; y < Y + LENGTH; y++)); do
-      (( y < 1 || y > TERM_HEIGHT )) && continue
-      echo -ne "\e[${y};${X}H "
-    done
-  done
-
-  for ((idx = 0; idx < num_rains * NUM_RAIN_METADATA; idx += NUM_RAIN_METADATA)); do
-    if ((100 * RANDOM / 32768 < FALLING_ODD)); then
-      # Falling
-      if ((++rains[idx + 1] > TERM_HEIGHT)); then
-        # Out of screen, bye sweet <3
-        rains=("${rains[@]:0:idx}"
-               "${rains[@]:idx+NUM_RAIN_METADATA:num_rains*NUM_RAIN_METADATA}")
-        ((num_rains--))
-        continue
-      fi
-    fi
-    X=${rains[idx]}
-    Y=${rains[idx + 1]}
-    RAIN=${rains[idx + 2]}
-    COLOR=${rains[idx + 3]}
-    LENGTH=${rains[idx + 4]}
-    for ((y = Y; y < Y + LENGTH; y++)); do
-      (( y < 1 || y > TERM_HEIGHT )) && continue
-      echo -ne "\e[${y};${X}H${COLOR}${RAIN}"
-    done
-  done
-  }
-
-trap do_exit TERM INT
-trap sigwinch WINCH
-# No echo stdin and hide the cursor
-stty -echo
-echo -ne "\e[?25l"
-
-echo -ne "\e[2J"
-rains=()
-sigwinch
-while :; do
-  read -n 1 -t $STEP_DURATION ch
-  case "$ch" in
-    q|Q)
-      do_exit
-      ;;
-  esac
-
-  if ((num_rains < MAX_RAINS)) && ((100 * RANDOM / 32768 < NEW_RAIN_ODD)); then
-    # Need new |, 1-based
-    RAIN="${RAINS[NRAINS * RANDOM / 32768]}"
-    COLOR="${COLORS[NCOLORS * RANDOM / 32768]}"
-    LENGTH=$((MAX_RAIN_LENGTH * RANDOM / 32768 + 1))
-    X=$((TERM_WIDTH * RANDOM / 32768 + 1))
-    Y=$((1 - LENGTH))
-    rains=("${rains[@]}" "$X" "$Y" "$RAIN" "$COLOR" "$LENGTH")
-    ((num_rains++))
-  fi
-
-  # Let rain fall!
-  do_render
-done
\ No newline at end of file
-- 
cgit v1.2.1